#ifndef _utilH
#define _utilH

#include <iostream.h>
#include <fstream.h>
#include <iomanip.h>
#include <time.h>
#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <string.h>
#include <stdlib.h>
#include <sys/errno.h>
#include <signal.h>
#include <sys/stat.h>
#include <unistd.h>
#include <sys/types.h>
#include <fcntl.h>

#define SA					struct sockaddr
#define SA_IN				struct sockaddr_in
#define STATE_OK			0
#define STATE_WARNING		1
#define STATE_CRITICAL		2
#define STATE_UNKNOWN	    -1
#define BUF_SIZE			1000 // don't fuck with this, has to be equal on both the client and server
#define SOCKET_TIMEOUT		10	 // seconds
#define PASSWDFILE			"../etc/ntpasswd"
#define MAX_PASSWD_LEN		19 

// message id's
#define EVENTLOG_QUERY		11
#define SRV_CHECK_QUERY		12

// Service status codes 
#define	SERV_SERVICE_DOES_NOT_EXIST		1	// The specified service does not exist.
#define	SERV_SERVICE_NOT_ACTIVE			2	// The service has not been started. 
#define	SERV_SERVICE_REQUEST_TIMEOUT	3	// The service did not respond to the request.
#define	SERV_CHECK_ERROR				4	// Something went wrong ??
#define	SERV_PAUSED						5	// The service is paused.
#define SERV_RUNNING					6	// The service is running. 

void SocketTimeoutHandler(int);
int  ChkPasswd(char *passwd,int &passwdLen);	
bool Send(int &sockfd, char *obuf);
char* Receive(int &sockfd);

#endif