#include "stdafx.h"
#include "common.h"


void LastErrorMsgBox() {

	LPVOID lpMsgBuf;	
    DWORD	dwRet;
	int		err = GetLastError();
	dwRet = FormatMessage(	FORMAT_MESSAGE_ALLOCATE_BUFFER | 
							FORMAT_MESSAGE_FROM_SYSTEM | 
							FORMAT_MESSAGE_IGNORE_INSERTS,
							NULL,
							err,
							MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT), // Default language
							(LPTSTR) &lpMsgBuf,
							0,
							NULL );    

	if(dwRet!=0) {
		if (err == ERROR_SERVICE_DISABLED)
			lpMsgBuf = "The service has been disabled.";

		MessageBox( NULL, (LPCTSTR)lpMsgBuf, SZSERVMANNAME, MB_OK | MB_ICONWARNING | MB_TASKMODAL);
	}
	else
		MessageBox( NULL, "Unkown Error", SZSERVMANNAME, MB_OK | MB_ICONWARNING | MB_TASKMODAL);

	if (lpMsgBuf)
        LocalFree((HLOCAL) lpMsgBuf );

    
}
