// Feilkoder
#define NOERR					100	// OK
#define ERR_AUTHENTICATION		101 // Autentiseringen feilet
#define ERR_NOINIFILE			102 // Finner ikke .ini filen
			
#define ERR_CPULOAD_INTERVAL	103 // Mle-intevallet for stort
#define ERR_PASSWDSIZE			104 // For langt passord
#define	ERR_NO_SUCH_MESSAGE		105 // Ukjent meldingstype
#define ERR_SOCKETINIT			106 // Feil ved socket initialisering
#define ERR_BIND				107 // Feil ved kall av bind funksjonen

// Feil ved funkjsonskall
#define ERR_CREATE_PIPE			108	// CreateNamedPipe
#define	ERR_CREATE_PROCESS		109	// CreateProcess
#define	ERR_OPEN_QUERY			110	// PdhOpenQuery
#define ERR_CONNECT_PIPE		111	// ConnectNamedPipe
#define	ERR_MAKE_COUNTER_PATH	112	// PdhMakeCounterPath
#define	ERR_ADD_COUNTER			113	// PdhAddCounter
#define ERR_COLLECT_QUERY_DATA	114	// PdhCollectQueryData
#define	ERR_FORMATTED_COUNTER	115	// PdhGetFormattedCounterValue
#define	ERR_BUILD_PROCLIST		116	// BuildProcessList

#define ERR_CREATE_THREAD		117	// CreateThread
#define ERR_SOCKET				118	// SocketError
#define	ERR_PORT				119	// Invalid portnumber

#define	ERR_CPULOAD_THRD		120	// Cpu-load-trden avsluttet "ufrivillig"
#define ERR_FILESIZE			121 // Feil ved avslening av filstrrelsen
#define ERR_FILEFORMAT			122	// Feil i filformatet (i .ini filen)
#define ERR_DIRECTORY			123 // Finner ikke katalogen angitt i .ini filen
#define ERR_GETDIR				124	// Feil ved henting av "current directory"

void PrintError(int errCode, char* where, char* log);
void PrintSocketError(int errCode, char* where, char* log);
void PrintOK(char* str, char* log);
//void PrintComm(char* str, char* log, bool recv);

//extern char		cliAddrStr[20];