#include "cpuLoad.h"
#include "err.h"
#include <iostream.h>
#include <winsock.h>
#include <math.h>

#include <fstream.h>	// For  skrive til fil
#include <iomanip.h>

// Diverse
#define BUF_SIZE				500 // Maks buffer strrelse (inn- og utbuffer)
#define MAX_PASSWD_LEN			19  // Maks tegn i passord

// Filnavn
#define INIFILE				"NSServ.ini"
#define MSGFILE				"msgLog.txt"


#define SA						struct sockaddr_in

// Meldingstyper
#define CPU_LOAD_QUERY			10	// CPU% foresprsel


// Globale variabler
char	cliAddrStr[20];

struct ProcessInfo				Process;	// Info om prosess med hyest cpu%
struct CPUInfo					CPU;		// Info om prosessor
CRITICAL_SECTION				ProcessAccess;

//ofstream of("errlogMain.txt", ios::app);

// Funksjoner
//int AnalyzeMessage(char *ibuf, char *obuf, char *passwd, HANDLE hCpuLoadThrd, DWORD &dwCpuLoadThrdId);
int AnalyzeMessage(char *ibuf, char *obuf, char *passwd);
int GetCPULoadInfo(char *ibuf, char *obuf);
char Round(double);
int ReadInitData(char *passwd, int &port);
int CreateUDPSocket(SOCKET &servSock, int port);
//int CheckDll();
int ReadLine(char* str, int StrSize, HANDLE hFile);
int CheckThread(HANDLE hCpuLoadThrd, DWORD &dwCpuLoadThrdId);
void PrintComm(char* ibuf, char* obuf, int msgType, char* log);